<?php
/**
 * Countries
 *
 * Returns an array of countries and codes.
 * Country codes and names should follow the Unicode CLDR recommendation (http://cldr.unicode.org/translation/country-names).
 *
 * @package Invoicing/data
 * @version 1.0.14
 */

defined( 'ABSPATH' ) || exit;

return array(
	'US' => __('United States', 'invoicing'),
	'CA' => __('Canada', 'invoicing'),
	'GB' => __('United Kingdom', 'invoicing'),
	'AF' => __('Afghanistan', 'invoicing'),
	'AX' => __('Aland Islands', 'invoicing'),
	'AL' => __('Albania', 'invoicing'),
	'DZ' => __('Algeria', 'invoicing'),
	'AS' => __('American Samoa', 'invoicing'),
	'AD' => __('Andorra', 'invoicing'),
	'AO' => __('Angola', 'invoicing'),
	'AI' => __('Anguilla', 'invoicing'),
	'AQ' => __('Antarctica', 'invoicing'),
	'AG' => __('Antigua and Barbuda', 'invoicing'),
	'AR' => __('Argentina', 'invoicing'),
	'AM' => __('Armenia', 'invoicing'),
	'AW' => __('Aruba', 'invoicing'),
	'AU' => __('Australia', 'invoicing'),
	'AT' => __('Austria', 'invoicing'),
	'AZ' => __('Azerbaijan', 'invoicing'),
	'BS' => __('Bahamas', 'invoicing'),
	'BH' => __('Bahrain', 'invoicing'),
	'BD' => __('Bangladesh', 'invoicing'),
	'BB' => __('Barbados', 'invoicing'),
	'BY' => __('Belarus', 'invoicing'),
	'BE' => __('Belgium', 'invoicing'),
	'BZ' => __('Belize', 'invoicing'),
	'BJ' => __('Benin', 'invoicing'),
	'BM' => __('Bermuda', 'invoicing'),
	'BT' => __('Bhutan', 'invoicing'),
	'BO' => __('Bolivia', 'invoicing'),
	'BQ' => __('Bonaire, Saint Eustatius and Saba', 'invoicing'),
	'BA' => __('Bosnia and Herzegovina', 'invoicing'),
	'BW' => __('Botswana', 'invoicing'),
	'BV' => __('Bouvet Island', 'invoicing'),
	'BR' => __('Brazil', 'invoicing'),
	'IO' => __('British Indian Ocean Territory', 'invoicing'),
	'BN' => __('Brunei Darrussalam', 'invoicing'),
	'BG' => __('Bulgaria', 'invoicing'),
	'BF' => __('Burkina Faso', 'invoicing'),
	'BI' => __('Burundi', 'invoicing'),
	'KH' => __('Cambodia', 'invoicing'),
	'CM' => __('Cameroon', 'invoicing'),
	'CV' => __('Cape Verde', 'invoicing'),
	'KY' => __('Cayman Islands', 'invoicing'),
	'CF' => __('Central African Republic', 'invoicing'),
	'TD' => __('Chad', 'invoicing'),
	'CL' => __('Chile', 'invoicing'),
	'CN' => __('China', 'invoicing'),
	'CX' => __('Christmas Island', 'invoicing'),
	'CC' => __('Cocos Islands', 'invoicing'),
	'CO' => __('Colombia', 'invoicing'),
	'KM' => __('Comoros', 'invoicing'),
	'CD' => __('Congo, Democratic People\'s Republic', 'invoicing'),
	'CG' => __('Congo, Republic of', 'invoicing'),
	'CK' => __('Cook Islands', 'invoicing'),
	'CR' => __('Costa Rica', 'invoicing'),
	'CI' => __('Cote d\'Ivoire', 'invoicing'),
	'HR' => __('Croatia/Hrvatska', 'invoicing'),
	'CU' => __('Cuba', 'invoicing'),
	'CW' => __('Cura&Ccedil;ao', 'invoicing'),
	'CY' => __('Cyprus', 'invoicing'),
	'CZ' => __('Czech Republic', 'invoicing'),
	'DK' => __('Denmark', 'invoicing'),
	'DJ' => __('Djibouti', 'invoicing'),
	'DM' => __('Dominica', 'invoicing'),
	'DO' => __('Dominican Republic', 'invoicing'),
	'TP' => __('East Timor', 'invoicing'),
	'EC' => __('Ecuador', 'invoicing'),
	'EG' => __('Egypt', 'invoicing'),
	'GQ' => __('Equatorial Guinea', 'invoicing'),
	'SV' => __('El Salvador', 'invoicing'),
	'ER' => __('Eritrea', 'invoicing'),
	'EE' => __('Estonia', 'invoicing'),
	'ET' => __('Ethiopia', 'invoicing'),
	'FK' => __('Falkland Islands', 'invoicing'),
	'FO' => __('Faroe Islands', 'invoicing'),
	'FJ' => __('Fiji', 'invoicing'),
	'FI' => __('Finland', 'invoicing'),
	'FR' => __('France', 'invoicing'),
	'GF' => __('French Guiana', 'invoicing'),
	'PF' => __('French Polynesia', 'invoicing'),
	'TF' => __('French Southern Territories', 'invoicing'),
	'GA' => __('Gabon', 'invoicing'),
	'GM' => __('Gambia', 'invoicing'),
	'GE' => __('Georgia', 'invoicing'),
	'DE' => __('Germany', 'invoicing'),
	'GR' => __('Greece', 'invoicing'),
	'GH' => __('Ghana', 'invoicing'),
	'GI' => __('Gibraltar', 'invoicing'),
	'GL' => __('Greenland', 'invoicing'),
	'GD' => __('Grenada', 'invoicing'),
	'GP' => __('Guadeloupe', 'invoicing'),
	'GU' => __('Guam', 'invoicing'),
	'GT' => __('Guatemala', 'invoicing'),
	'GG' => __('Guernsey', 'invoicing'),
	'GN' => __('Guinea', 'invoicing'),
	'GW' => __('Guinea-Bissau', 'invoicing'),
	'GY' => __('Guyana', 'invoicing'),
	'HT' => __('Haiti', 'invoicing'),
	'HM' => __('Heard and McDonald Islands', 'invoicing'),
	'VA' => __('Holy See (City Vatican State)', 'invoicing'),
	'HN' => __('Honduras', 'invoicing'),
	'HK' => __('Hong Kong', 'invoicing'),
	'HU' => __('Hungary', 'invoicing'),
	'IS' => __('Iceland', 'invoicing'),
	'IN' => __('India', 'invoicing'),
	'ID' => __('Indonesia', 'invoicing'),
	'IR' => __('Iran', 'invoicing'),
	'IQ' => __('Iraq', 'invoicing'),
	'IE' => __('Ireland', 'invoicing'),
	'IM' => __('Isle of Man', 'invoicing'),
	'IL' => __('Israel', 'invoicing'),
	'IT' => __('Italy', 'invoicing'),
	'JM' => __('Jamaica', 'invoicing'),
	'JP' => __('Japan', 'invoicing'),
	'JE' => __('Jersey', 'invoicing'),
	'JO' => __('Jordan', 'invoicing'),
	'KZ' => __('Kazakhstan', 'invoicing'),
	'KE' => __('Kenya', 'invoicing'),
	'KI' => __('Kiribati', 'invoicing'),
	'KW' => __('Kuwait', 'invoicing'),
	'KG' => __('Kyrgyzstan', 'invoicing'),
	'LA' => __('Lao People\'s Democratic Republic', 'invoicing'),
	'LV' => __('Latvia', 'invoicing'),
	'LB' => __('Lebanon', 'invoicing'),
	'LS' => __('Lesotho', 'invoicing'),
	'LR' => __('Liberia', 'invoicing'),
	'LY' => __('Libyan Arab Jamahiriya', 'invoicing'),
	'LI' => __('Liechtenstein', 'invoicing'),
	'LT' => __('Lithuania', 'invoicing'),
	'LU' => __('Luxembourg', 'invoicing'),
	'MO' => __('Macau', 'invoicing'),
	'MK' => __('Macedonia', 'invoicing'),
	'MG' => __('Madagascar', 'invoicing'),
	'MW' => __('Malawi', 'invoicing'),
	'MY' => __('Malaysia', 'invoicing'),
	'MV' => __('Maldives', 'invoicing'),
	'ML' => __('Mali', 'invoicing'),
	'MT' => __('Malta', 'invoicing'),
	'MH' => __('Marshall Islands', 'invoicing'),
	'MQ' => __('Martinique', 'invoicing'),
	'MR' => __('Mauritania', 'invoicing'),
	'MU' => __('Mauritius', 'invoicing'),
	'YT' => __('Mayotte', 'invoicing'),
	'MX' => __('Mexico', 'invoicing'),
	'FM' => __('Micronesia', 'invoicing'),
	'MD' => __('Moldova, Republic of', 'invoicing'),
	'MC' => __('Monaco', 'invoicing'),
	'MN' => __('Mongolia', 'invoicing'),
	'ME' => __('Montenegro', 'invoicing'),
	'MS' => __('Montserrat', 'invoicing'),
	'MA' => __('Morocco', 'invoicing'),
	'MZ' => __('Mozambique', 'invoicing'),
	'MM' => __('Myanmar', 'invoicing'),
	'NA' => __('Namibia', 'invoicing'),
	'NR' => __('Nauru', 'invoicing'),
	'NP' => __('Nepal', 'invoicing'),
	'NL' => __('Netherlands', 'invoicing'),
	'AN' => __('Netherlands Antilles', 'invoicing'),
	'NC' => __('New Caledonia', 'invoicing'),
	'NZ' => __('New Zealand', 'invoicing'),
	'NI' => __('Nicaragua', 'invoicing'),
	'NE' => __('Niger', 'invoicing'),
	'NG' => __('Nigeria', 'invoicing'),
	'NU' => __('Niue', 'invoicing'),
	'NF' => __('Norfolk Island', 'invoicing'),
	'KP' => __('North Korea', 'invoicing'),
	'MP' => __('Northern Mariana Islands', 'invoicing'),
	'NO' => __('Norway', 'invoicing'),
	'OM' => __('Oman', 'invoicing'),
	'PK' => __('Pakistan', 'invoicing'),
	'PW' => __('Palau', 'invoicing'),
	'PS' => __('Palestinian Territories', 'invoicing'),
	'PA' => __('Panama', 'invoicing'),
	'PG' => __('Papua New Guinea', 'invoicing'),
	'PY' => __('Paraguay', 'invoicing'),
	'PE' => __('Peru', 'invoicing'),
	'PH' => __('Philippines', 'invoicing'),
	'PN' => __('Pitcairn Island', 'invoicing'),
	'PL' => __('Poland', 'invoicing'),
	'PT' => __('Portugal', 'invoicing'),
	'PR' => __('Puerto Rico', 'invoicing'),
	'QA' => __('Qatar', 'invoicing'),
	'XK' => __('Republic of Kosovo', 'invoicing'),
	'RE' => __('Reunion Island', 'invoicing'),
	'RO' => __('Romania', 'invoicing'),
	'RU' => __('Russian Federation', 'invoicing'),
	'RW' => __('Rwanda', 'invoicing'),
	'BL' => __('Saint Barth&eacute;lemy', 'invoicing'),
	'SH' => __('Saint Helena', 'invoicing'),
	'KN' => __('Saint Kitts and Nevis', 'invoicing'),
	'LC' => __('Saint Lucia', 'invoicing'),
	'MF' => __('Saint Martin (French)', 'invoicing'),
	'SX' => __('Saint Martin (Dutch)', 'invoicing'),
	'PM' => __('Saint Pierre and Miquelon', 'invoicing'),
	'VC' => __('Saint Vincent and the Grenadines', 'invoicing'),
	'SM' => __('San Marino', 'invoicing'),
	'ST' => __('S&atilde;o Tom&eacute; and Pr&iacute;ncipe', 'invoicing'),
	'SA' => __('Saudi Arabia', 'invoicing'),
	'SN' => __('Senegal', 'invoicing'),
	'RS' => __('Serbia', 'invoicing'),
	'SC' => __('Seychelles', 'invoicing'),
	'SL' => __('Sierra Leone', 'invoicing'),
	'SG' => __('Singapore', 'invoicing'),
	'SK' => __('Slovak Republic', 'invoicing'),
	'SI' => __('Slovenia', 'invoicing'),
	'SB' => __('Solomon Islands', 'invoicing'),
	'SO' => __('Somalia', 'invoicing'),
	'ZA' => __('South Africa', 'invoicing'),
	'GS' => __('South Georgia', 'invoicing'),
	'KR' => __('South Korea', 'invoicing'),
	'SS' => __('South Sudan', 'invoicing'),
	'ES' => __('Spain', 'invoicing'),
	'LK' => __('Sri Lanka', 'invoicing'),
	'SD' => __('Sudan', 'invoicing'),
	'SR' => __('Suriname', 'invoicing'),
	'SJ' => __('Svalbard and Jan Mayen Islands', 'invoicing'),
	'SZ' => __('Swaziland', 'invoicing'),
	'SE' => __('Sweden', 'invoicing'),
	'CH' => __('Switzerland', 'invoicing'),
	'SY' => __('Syrian Arab Republic', 'invoicing'),
	'TW' => __('Taiwan', 'invoicing'),
	'TJ' => __('Tajikistan', 'invoicing'),
	'TZ' => __('Tanzania', 'invoicing'),
	'TH' => __('Thailand', 'invoicing'),
	'TL' => __('Timor-Leste', 'invoicing'),
	'TG' => __('Togo', 'invoicing'),
	'TK' => __('Tokelau', 'invoicing'),
	'TO' => __('Tonga', 'invoicing'),
	'TT' => __('Trinidad and Tobago', 'invoicing'),
	'TN' => __('Tunisia', 'invoicing'),
	'TR' => __('Turkey', 'invoicing'),
	'TM' => __('Turkmenistan', 'invoicing'),
	'TC' => __('Turks and Caicos Islands', 'invoicing'),
	'TV' => __('Tuvalu', 'invoicing'),
	'UG' => __('Uganda', 'invoicing'),
	'UA' => __('Ukraine', 'invoicing'),
	'AE' => __('United Arab Emirates', 'invoicing'),
	'UY' => __('Uruguay', 'invoicing'),
	'UM' => __('US Minor Outlying Islands', 'invoicing'),
	'UZ' => __('Uzbekistan', 'invoicing'),
	'VU' => __('Vanuatu', 'invoicing'),
	'VE' => __('Venezuela', 'invoicing'),
	'VN' => __('Vietnam', 'invoicing'),
	'VG' => __('Virgin Islands (British)', 'invoicing'),
	'VI' => __('Virgin Islands (USA)', 'invoicing'),
	'WF' => __('Wallis and Futuna Islands', 'invoicing'),
	'EH' => __('Western Sahara', 'invoicing'),
	'WS' => __('Western Samoa', 'invoicing'),
	'YE' => __('Yemen', 'invoicing'),
	'ZM' => __('Zambia', 'invoicing'),
	'ZW' => __('Zimbabwe', 'invoicing'),
);
