<?php
/**
 * Currencies
 *
 * Returns an array of currencies.
 *
 * @package Invoicing/data
 * @version 1.0.19
 */

defined( 'ABSPATH' ) || exit;

return array(
	'USD' => __( 'US Dollar', 'invoicing' ),
	'EUR' => __( 'Euro', 'invoicing' ),
	'GBP' => __( 'Pound Sterling', 'invoicing' ),
	'AED' => __( 'United Arab Emirates', 'invoicing' ),
	'AFN' => __( 'Afghan Afghani', 'invoicing' ),
	'ALL' => __( 'Albanian Lek', 'invoicing' ),
	'AMD' => __( 'Armenian Dram', 'invoicing' ),
	'ANG' => __( 'Netherlands Antillean Guilder', 'invoicing' ),
	'AOA' => __( 'Angolan Kwanza', 'invoicing' ),
	'ARS' => __( 'Argentine Peso', 'invoicing' ),
	'AUD' => __( 'Australian Dollar', 'invoicing' ),
	'AWG' => __( 'Aruban Florin', 'invoicing' ),
	'AZN' => __( 'Azerbaijani Manat', 'invoicing' ),
	'BAM' => __( 'Bosnia and Herzegovina Convertible Marka', 'invoicing' ),
	'BBD' => __( 'Barbadian Dollar', 'invoicing' ),
	'BDT' => __( 'Bangladeshi Taka', 'invoicing' ),
	'BGN' => __( 'Bulgarian Lev', 'invoicing' ),
	'BHD' => __( 'Bahraini Dinar', 'invoicing' ),
	'BIF' => __( 'Burundian Franc', 'invoicing' ),
	'BMD' => __( 'Bermudian Dollar', 'invoicing' ),
	'BND' => __( 'Brunei Dollar', 'invoicing' ),
	'BOB' => __( 'Bolivian Boliviano', 'invoicing' ),
	'BRL' => __( 'Brazilian Real', 'invoicing' ),
	'BSD' => __( 'Bahamian Dollar', 'invoicing' ),
	'BTC' => __( 'Bitcoin', 'invoicing' ),
	'BTN' => __( 'Bhutanese Ngultrum', 'invoicing' ),
	'BWP' => __( 'Botswana Pula', 'invoicing' ),
	'BYN' => __( 'Belarusian Ruble', 'invoicing' ),
	'BZD' => __( 'Belize Dollar', 'invoicing' ),
	'CAD' => __( 'Canadian Dollar', 'invoicing' ),
	'CDF' => __( 'Congolese Franc', 'invoicing' ),
	'CHF' => __( 'Swiss Franc', 'invoicing' ),
	'CLP' => __( 'Chilean Peso', 'invoicing' ),
	'CNY' => __( 'Chinese Yuan', 'invoicing' ),
	'COP' => __( 'Colombian Peso', 'invoicing' ),
	'CRC' => __( 'Costa Rican Colon', 'invoicing' ),
	'CUC' => __( 'Cuban Convertible Peso', 'invoicing' ),
	'CUP' => __( 'Cuban Peso', 'invoicing' ),
	'CVE' => __( 'Cape Verdean escudo', 'invoicing' ),
	'CZK' => __( 'Czech Koruna', 'invoicing' ),
	'DJF' => __( 'Djiboutian Franc', 'invoicing' ),
	'DKK' => __( 'Danish Krone', 'invoicing' ),
	'DOP' => __( 'Dominican Peso', 'invoicing' ),
	'DZD' => __( 'Algerian Dinar', 'invoicing' ),
	'EGP' => __( 'Egyptian Pound', 'invoicing' ),
	'ERN' => __( 'Eritrean Nakfa', 'invoicing' ),
	'ETB' => __( 'Ethiopian Irr', 'invoicing' ),
	'FJD' => __( 'Fijian Dollar', 'invoicing' ),
	'FKP' => __( 'Falkland Islands Pound', 'invoicing' ),
	'GEL' => __( 'Georgian Lari', 'invoicing' ),
	'GGP' => __( 'Guernsey Pound', 'invoicing' ),
	'GHS' => __( 'Ghana Cedi', 'invoicing' ),
	'GIP' => __( 'Gibraltar Pound', 'invoicing' ),
	'GMD' => __( 'Gambian Dalasi', 'invoicing' ),
	'GNF' => __( 'Guinean Franc', 'invoicing' ),
	'GTQ' => __( 'Guatemalan Quetzal', 'invoicing' ),
	'GYD' => __( 'Guyanese Dollar', 'invoicing' ),
	'HKD' => __( 'Hong Kong Dollar', 'invoicing' ),
	'HNL' => __( 'Honduran Lempira', 'invoicing' ),
	'HRK' => __( 'Croatian Kuna', 'invoicing' ),
	'HTG' => __( 'Haitian Gourde', 'invoicing' ),
	'HUF' => __( 'Hungarian Forint', 'invoicing' ),
	'IDR' => __( 'Indonesian Rupiah', 'invoicing' ),
	'ILS' => __( 'Israeli New Shekel', 'invoicing' ),
	'IMP' => __( 'Manx Pound', 'invoicing' ),
	'INR' => __( 'Indian Rupee', 'invoicing' ),
	'IQD' => __( 'Iraqi Dinar', 'invoicing' ),
	'IRR' => __( 'Iranian Rial', 'invoicing' ),
	'IRT' => __( 'Iranian Toman', 'invoicing' ),
	'ISK' => __( 'Icelandic Krona', 'invoicing' ),
	'JEP' => __( 'Jersey Pound', 'invoicing' ),
	'JMD' => __( 'Jamaican Dollar', 'invoicing' ),
	'JOD' => __( 'Jordanian Dinar', 'invoicing' ),
	'JPY' => __( 'Japanese Yen', 'invoicing' ),
	'KES' => __( 'Kenyan Shilling', 'invoicing' ),
	'KGS' => __( 'Kyrgyzstani Som', 'invoicing' ),
	'KHR' => __( 'Cambodian Riel', 'invoicing' ),
	'KMF' => __( 'Comorian Franc', 'invoicing' ),
	'KPW' => __( 'North Korean Won', 'invoicing' ),
	'KRW' => __( 'South Korean Won', 'invoicing' ),
	'KWD' => __( 'Kuwaiti Dinar', 'invoicing' ),
	'KYD' => __( 'Cayman Islands Dollar', 'invoicing' ),
	'KZT' => __( 'Kazakhstani Tenge', 'invoicing' ),
	'LAK' => __( 'Lao Kip', 'invoicing' ),
	'LBP' => __( 'Lebanese Pound', 'invoicing' ),
	'LKR' => __( 'Sri Lankan Rupee', 'invoicing' ),
	'LRD' => __( 'Liberian Dollar', 'invoicing' ),
	'LSL' => __( 'Lesotho Loti', 'invoicing' ),
	'LYD' => __( 'Libyan Dinar', 'invoicing' ),
	'MAD' => __( 'Moroccan Dirham', 'invoicing' ),
	'MDL' => __( 'Moldovan Leu', 'invoicing' ),
	'MGA' => __( 'Malagasy Ariary', 'invoicing' ),
	'MKD' => __( 'Macedonian Denar', 'invoicing' ),
	'MMK' => __( 'Burmese Kyat', 'invoicing' ),
	'MNT' => __( 'Mongolian Tughrik', 'invoicing' ),
	'MOP' => __( 'Macanese Pataca', 'invoicing' ),
	'MRO' => __( 'Mauritanian Ouguiya', 'invoicing' ),
	'MUR' => __( 'Mauritian Rupee', 'invoicing' ),
	'MVR' => __( 'Maldivian Rufiyaa', 'invoicing' ),
	'MWK' => __( 'Malawian Kwacha', 'invoicing' ),
	'MXN' => __( 'Mexican Peso', 'invoicing' ),
	'MYR' => __( 'Malaysian Ringgit', 'invoicing' ),
	'MZN' => __( 'Mozambican Metical', 'invoicing' ),
	'NAD' => __( 'Namibian Dollar', 'invoicing' ),
	'NGN' => __( 'Nigerian Naira', 'invoicing' ),
	'NIO' => __( 'Nicaraguan Cordoba', 'invoicing' ),
	'NOK' => __( 'Norwegian Krone', 'invoicing' ),
	'NPR' => __( 'Nepalese Rupee', 'invoicing' ),
	'NZD' => __( 'New Zealand Dollar', 'invoicing' ),
	'OMR' => __( 'Omani Rial', 'invoicing' ),
	'PAB' => __( 'Panamanian Balboa', 'invoicing' ),
	'PEN' => __( 'Peruvian Nuevo Sol', 'invoicing' ),
	'PGK' => __( 'Papua New Guinean Kina', 'invoicing' ),
	'PHP' => __( 'Philippine Peso', 'invoicing' ),
	'PKR' => __( 'Pakistani Rupee', 'invoicing' ),
	'PLN' => __( 'Polish Zloty', 'invoicing' ),
	'PRB' => __( 'Transnistrian Ruble', 'invoicing' ),
	'PYG' => __( 'Paraguayan Guarani', 'invoicing' ),
	'QAR' => __( 'Qatari Riyal', 'invoicing' ),
	'RON' => __( 'Romanian Leu', 'invoicing' ),
	'RSD' => __( 'Serbian Dinar', 'invoicing' ),
	'RUB' => __( 'Russian Ruble', 'invoicing' ),
	'RWF' => __( 'Rwandan Franc', 'invoicing' ),
	'SAR' => __( 'Saudi Riyal', 'invoicing' ),
	'SBD' => __( 'Solomon Islands Dollar', 'invoicing' ),
	'SCR' => __( 'Seychellois Rupee', 'invoicing' ),
	'SDG' => __( 'Sudanese Pound', 'invoicing' ),
	'SEK' => __( 'Swedish Krona', 'invoicing' ),
	'SGD' => __( 'Singapore Dollar', 'invoicing' ),
	'SHP' => __( 'Saint Helena Pound', 'invoicing' ),
	'SLL' => __( 'Sierra Leonean Leone', 'invoicing' ),
	'SOS' => __( 'Somali Shilling', 'invoicing' ),
	'SRD' => __( 'Surinamese Dollar', 'invoicing' ),
	'SSP' => __( 'South Sudanese Pound', 'invoicing' ),
	'STD' => __( 'Sao Tomean Dobra', 'invoicing' ),
	'SYP' => __( 'Syrian Pound', 'invoicing' ),
	'SZL' => __( 'Swazi Lilangeni', 'invoicing' ),
	'THB' => __( 'Thai Baht', 'invoicing' ),
	'TJS' => __( 'Tajikistani Somoni', 'invoicing' ),
	'TMT' => __( 'Turkmenistan Manat', 'invoicing' ),
	'TND' => __( 'Tunisian Dinar', 'invoicing' ),
	'TOP' => __( 'Tongan Pa&#x2bb;anga', 'invoicing' ),
	'TRY' => __( 'Turkish Lira', 'invoicing' ),
	'TTD' => __( 'Trinidad and Tobago Dollar', 'invoicing' ),
	'TWD' => __( 'New Taiwan Dollar', 'invoicing' ),
	'TZS' => __( 'Tanzanian Shilling', 'invoicing' ),
	'UAH' => __( 'Ukrainian Hryvnia', 'invoicing' ),
	'UGX' => __( 'Ugandan Shilling', 'invoicing' ),
	'UYU' => __( 'Uruguayan Peso', 'invoicing' ),
	'UZS' => __( 'Uzbekistani Som', 'invoicing' ),
	'VEF' => __( 'Venezuelan Bol&iacute;var', 'invoicing' ),
	'VND' => __( 'Vietnamese Dong', 'invoicing' ),
	'VUV' => __( 'Vanuatu Vatu', 'invoicing' ),
	'WST' => __( 'Samoan Tala', 'invoicing' ),
	'XAF' => __( 'Central African CFA Franc', 'invoicing' ),
	'XCD' => __( 'East Caribbean Dollar', 'invoicing' ),
	'XOF' => __( 'West African CFA Franc', 'invoicing' ),
	'XPF' => __( 'CFP Franc', 'invoicing' ),
	'YER' => __( 'Yemeni Rial', 'invoicing' ),
	'ZAR' => __( 'South African Rand', 'invoicing' ),
	'ZMW' => __( 'Zambian Kwacha', 'invoicing' ),
);
